/*
 * Pan - A Newsreader for X
 * Copyright (C) 1999  Pan Development Team (pan@superpimp.org)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef QUEUE_ITEM_DECODE__H
#define QUEUE_ITEM_DECODE__H

#include <gtk/gtk.h>

#include "article-db.h"
#include "queue-item.h"
#include "group.h"


#define QUEUE_ITEM_DECODE(obj) ((QueueItemDecode*)obj)

typedef struct _QueueItemDecode QueueItemDecode;

struct _QueueItemDecode
{
	/* Parent */
	QueueItem item;

	/* private */
	group_data *gdata;
	article_db article_header_db;
	GSList *message_ids;
	gboolean open;
	gchar *readable_name;
};

extern PanObject* queue_item_decode_new (
	server_data*,
	group_data*,
	const gchar*,
	GSList* message_ids,
	gboolean open);

#endif
